HP Views Designer Assistant: Parser Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Member Functions | List of all members
Parser Class Reference

The Parser class. Creates QML files by app inteface models. More...

`#include <parser.h>`

## Public Member Functions

| Parser ()
| Parser constructor.
void | parse (Menu *interfaz, QString path)
| parse Create QML file by menu model interface. More...
void | parse (Information *interfaz, QString path)
| parse Create QML file by information model interface. More...
void | parse (Ink *interfaz, QString path)
| parse Create QML file by ink model interface. More...

## Private Member Functions

QString | setSizeProperties (QString source, Interfaz *interfaz)
| setSizeProperties Speficies QML size properties. More...
QString | setBackGroundProperties (QString source, Interfaz *interfaz)
| setBackGroundProperties Specifies QML background properties. More...
QString | getTemplateSource (QString path)
| getTemplateSource Obtains the partial QML templates. More...
void | saveResult (QString result, QString pathToSave)
| saveResult Saves the QML file into the speficied system path. More...
QString | formProperty (int propertyIndex, QStringList property)
| formProperty Creates QML information screen property. More...
QString | formInformationElement (Card *card)
| formInformationElement Creates QML information screen option. More...
QString | formInformationViewElement (Information *interfaz)
| formInformationViewElement Creates QML information screen view option. More...
QString | inkTextOption (QString source, InkTextOption textOption)
| inkTextOption Creates QML ink screen text view option. More...

## Detailed Description

The Parser class. Creates QML files by app inteface models.

## Member Function Documentation

## ◆ formInformationElement()

QString Parser::formInformationElement | ( | Card * | card | ) |

private

formInformationElement Creates QML information screen option.

Parameters

  card | Card to be converted.

Returns
  Generated QML file with card information.

## ◆ formInformationViewElement()

QString Parser::formInformationViewElement | ( | Information * | interfaz | ) |

private

formInformationViewElement Creates QML information screen view option.

Parameters

  interfaz | Interface to be converted into QML file.

Returns
  Generated QML file with information view elements.

## ◆ formProperty()

QString Parser::formProperty | ( | int | propertyIndex,
|  | QStringList | property
| ) |  |

private

formProperty Creates QML information screen property.

Parameters

  propertyIndex | Index of the property.
  property | Information property.

Returns
  Generated QML file with the information property.

## ◆ getTemplateSource()

QString Parser::getTemplateSource | ( | QString | path | ) |

private

getTemplateSource Obtains the partial QML templates.

Parameters

  path | QML template path.

Returns
  QML template.

## ◆ inkTextOption()

QString Parser::inkTextOption | ( | QString | source,
|  | InkTextOption | textOption
| ) |  |

private

inkTextOption Creates QML ink screen text view option.

Parameters

  source | Partial QML generated file.
  textOption | Ink text option.

Returns
  Generated QML file with ink text option.

## ◆ parse() [1/3]

void Parser::parse | ( | Menu * | interfaz,
|  | QString | path
| ) |  |

parse Create QML file by menu model interface.

Parameters

  interfaz | Interface to convert into QML file.
  path | Path to save the generated file.

## ◆ parse() [2/3]

void Parser::parse | ( | Information * | interfaz,
|  | QString | path
| ) |  |

parse Create QML file by information model interface.

Parameters

  interfaz | Interface to convert into QML file.
  path | Path to save the generated file.

## ◆ parse() [3/3]

void Parser::parse | ( | Ink * | interfaz,
|  | QString | path
| ) |  |

parse Create QML file by ink model interface.

Parameters

  interfaz | Interface to convert into QML file.
  path | Path to save the generated file.

## ◆ saveResult()

void Parser::saveResult | ( | QString | result,
|  | QString | pathToSave
| ) |  |

private

saveResult Saves the QML file into the speficied system path.

Parameters

  result | QML file to be saved.
  pathToSave | System path to save the file.

## ◆ setBackGroundProperties()

QString Parser::setBackGroundProperties | ( | QString | source,
|  | Interfaz * | interfaz
| ) |  |

private

setBackGroundProperties Specifies QML background properties.

Parameters

  source | source Partial QML generated file.
  interfaz | Interface to be converted into QML file.

Returns
  Generated QML file with background properties.

## ◆ setSizeProperties()

QString Parser::setSizeProperties | ( | QString | source,
|  | Interfaz * | interfaz
| ) |  |

private

setSizeProperties Speficies QML size properties.

Parameters

  source | source Partial QML generated file.
  interfaz | Interface to be converted into QML file.

Returns
  Generated QML file with size properties.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Services/parser.h
- D:/Documentos/ViewDesignerAssistant/Services/parser.cpp